Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser

# Class GrayColorSliderModel

java.lang.Object
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ColorSliderModel
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.GrayColorSliderModel

public class GrayColorSliderModel extends ColorSliderModel
A ColorSliderModel for a gray color model (brightness).

## Field Summary

### Fields inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ColorSliderModel

`components, values`

## Constructor Summary

Constructors
Constructor
Description
`GrayColorSliderModel()`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`int`
`getRGB()`
`void`
`setRGB(int rgb)`
`int`
`toRGB(int[] values)`

### Methods inherited from class org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ColorSliderModel

`addChangeListener, addColorSlider, configureColorSlider, fireColorChanged, fireStateChanged, getBoundedRangeModel, getColor, getComponentCount, getInterpolatedRGB, getValue, removeChangeListener, removeColorSlider, setColor, setValue, unconfigureColorSlider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GrayColorSliderModel

public GrayColorSliderModel()
Creates a new instance.

## Method Details

### getRGB

public int getRGB()

Specified by:
  `getRGB` in class `ColorSliderModel`

### setRGB

public void setRGB(int rgb)

Specified by:
  `setRGB` in class `ColorSliderModel`

### toRGB

public int toRGB(int[] values)

Specified by:
  `toRGB` in class `ColorSliderModel`